public class Compteur
{
	protected int val;

	public Compteur(int val)
	{
		this.val = val;
	}

	public Compteur()
	{
		this(0);
	}

	public Compteur inc()
	{
		val++;
		return this;
	}

	public Compteur dec()
	{
		if (val>0) val--;
		return this;
	}
	
	public Compteur zero()
	{
		val = 0;
		return this;
	}

	public int getVal()
	{
		return val;
	}
/*
	public static void main(String[] args)
	{
		Compteur c = new Compteur();
		System.out.println(c.getVal());
		for (int i = 0;i<10;i++) c.inc();
		System.out.println(c.getVal());
		for (int i = 0;i<20;i++) c.dec();
		System.out.println(c.getVal());
	}
*/	
}